Arduino, Problèmes et solutions

Pour démarrer avec l'arduino, il faut un IDE !
Le plus courant est l'officiel que l'on peu trouver sur le site de l'arduino.
https://www.arduino.cc/en/main/software

Moi je travaille sous linux, chouette il y a un téléchargement !
Une fois installé, il faudra trouver les librairies. Dans les anciennes version je les téléchargées puis je les dézipper dans le répertoire Arduino/libraries.
Maintenant il vaux mieux passer par le gestionnaire de bibliothèque.

Si vous voulez utiliser l'IDE pour programmer vos ESP, n'oubliez pas de rajouter dans fichier/préférences/URL de gestionnaire de cartes supplémentaires:
http://arduino.esp8266.com/stable/package_esp8266com_index.json
Ensuite vous devez installer la carte voulu en passant par outils/type de carte/gestionnaire de carte puis de choisir le module voulu.

Sous Linux on a un pb de permission lorsque l'on essaye de programmer une carte.
En fait il faut ajouter votre user dans le groupe dialout qui a le droit de lire/écrire sur le port série.
sudo adduser (votre login) dialout
Un reboot sinon il faut redémarrer le service adéquat (je n'ai pas cherché lequel)
Sinon programmer en tant que sudo ou root (pas très recommandé)

Arduino Nano

J'ai encore quelques arduino Nano qui tournent sur des réalisations.
Par contre on a souvent des soucis pour programmer ces bêtes.
On se retrouve avec une erreur Avrdude de communication. Du coup voici ma technique qui fonctionne plutôt bien.
Avec un arduino nano chinois “espduino” et un IDE 1.8.14, déjà configurez la carte, puis mettre le processeur Atmega328 (Old Bootloader).
Ensuite avant de téléverser, appuyez sur RESET et maintenez, lancer le téléversement.
ATTENTION ! juste à la fin de la compilation, un poil avant le téléversement, on relâche le bouton RESET.
Pour moi ça fonctionne “presque” à tout le coup. :-)

test/arduino.txt · Dernière modification: 2021/01/07 17:42 de chef
CC Attribution-Share Alike 4.0 International
www.chimeric.de Valid CSS Driven by DokuWiki do yourself a favour and use a real browser - get firefox!! Recent changes RSS feed Valid XHTML 1.0